Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160282 - Group passwords are not working with newgrp command
Summary: Group passwords are not working with newgrp command
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 04:02 UTC by Telford Tendys
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 09:24:16 UTC


Attachments (Terms of Use)

Description Telford Tendys 2005-06-14 04:02:13 UTC
+++ This bug was initially created as a clone of Bug #85280 +++

Given that there is no intention of fixing Bug #85280, how about making
the very small effort of updating the manpage of newgrp and gpasswd to
explain that they were not updated for PAM and that using a password to
change group is not going to work. I would expect that every time a bug
is set to "CLOSED WONTFIX" there should be a corresponding manpage update.

Comment 1 Karel Zak 2005-06-15 11:13:42 UTC
In FC4 it should be fixed by newgrp from shadow-utils and for FC3 I have a patch
that will be available in a next util-linux update.

Comment 2 Karel Zak 2005-06-17 09:24:16 UTC
Fixed in FC3 update util-linux-2.12a-24.3.


Note You need to log in before you can comment on or make changes to this bug.